Bug 30434 - Convert catalog merge page tabs to Bootstrap
Summary: Convert catalog merge page tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-04-01 13:19 UTC by Owen Leonard
Modified: 2022-05-13 15:54 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30434: Convert catalog merge page tabs to Bootstrap (4.76 KB, patch)
2022-04-01 14:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30434: Convert catalog merge page tabs to Bootstrap (2.59 KB, patch)
2022-04-13 16:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30434: Convert catalog merge page tabs to Bootstrap (2.66 KB, patch)
2022-04-20 15:03 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-01 13:19:37 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the catalog merge template with Bootstrap.
Comment 1 Owen Leonard 2022-04-01 14:43:19 UTC
Created attachment 132868 [details] [review]
Bug 30434: Convert catalog merge page tabs to Bootstrap

This patch updates the catalog merge template so that it uses Bootstrap
tabs instead of jQueryUI. Some JavaScript is modified to accommodate the
new DOM structure.

The patch also makes a minor HTML correction, adding a missing "</ol>".

To test, apply the patch and search the catalog in the staff client.

- In the search results, check the checkbox for two records.
- Choose Edit -> Merge records.
- Click next to accept the merge reference selection.
- On the next page you should see two tabs under "Source records."
  Confirm that they work correctly.
- All checkboxes in the first tab should be checked by default.
- Confirm that tag and subfield selection still works correctly.
Comment 2 Owen Leonard 2022-04-13 16:29:02 UTC
Created attachment 133278 [details] [review]
Bug 30434: Convert catalog merge page tabs to Bootstrap

This patch updates the catalog merge template so that it uses Bootstrap
tabs instead of jQueryUI. Some JavaScript is modified to accommodate the
new DOM structure.

The patch also makes a minor HTML correction, adding a missing "</ol>".

To test, apply the patch and search the catalog in the staff client.

- In the search results, check the checkbox for two records.
- Choose Edit -> Merge records.
- Click next to accept the merge reference selection.
- On the next page you should see two tabs under "Source records."
  Confirm that they work correctly.
- All checkboxes in the first tab should be checked by default.
- Confirm that tag and subfield selection still works correctly.
Comment 3 Martin Renvoize 2022-04-20 15:03:40 UTC
Created attachment 133482 [details] [review]
Bug 30434: Convert catalog merge page tabs to Bootstrap

This patch updates the catalog merge template so that it uses Bootstrap
tabs instead of jQueryUI. Some JavaScript is modified to accommodate the
new DOM structure.

The patch also makes a minor HTML correction, adding a missing "</ol>".

To test, apply the patch and search the catalog in the staff client.

- In the search results, check the checkbox for two records.
- Choose Edit -> Merge records.
- Click next to accept the merge reference selection.
- On the next page you should see two tabs under "Source records."
  Confirm that they work correctly.
- All checkboxes in the first tab should be checked by default.
- Confirm that tag and subfield selection still works correctly.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-04-20 15:06:12 UTC
All works as expected.. being bold and going straight for PQA here as it's a simple patch and I can't find any regressions.
Comment 5 Fridolin Somers 2022-05-02 21:24:43 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄